50 descendants and 50 ancestors of cc22ec27a2a3aea2
|
2026-11-09
| ||
| 03:54 | Pin zit 0.14.1 closed check-in: 58c6f7f9ec user: dmestas tags: zit-0.14.1 | |
| 03:08 | Merge trunk into ci-docs-only closed check-in: 510dc7ca8e user: dmestas tags: ci-docs-only | |
| 01:40 | RFC 0028 step 1: Requests get their own page, with a badge only while something waits closed check-in: 2657cd8a43 user: dmestas tags: requests-page | |
| 01:31 | llms.txt: asking your person, and a new repository from nothing to CI closed check-in: 4e7640939c user: dmestas tags: llms-ask-newrepo | |
| 01:27 | RFC 0029: onboarding from the forge alone closed check-in: ea7faea305 user: dmestas tags: rfc-0029-onboarding | |
| 00:55 | CI: a documentation-only change runs no checks check-in: 57ea906dfd user: dmestas tags: ci-docs-only | |
| 00:52 | land rfc-0028-requests check-in: af6daf41b5 user: dmestas tags: trunk | |
| 00:48 | RFC 0028: Requests, plain actions, one email a burst, and plans closed check-in: a1e365cf5b user: dmestas tags: rfc-0028-requests | |
| 00:28 |
land runner-finish-retry
Checks tested the merge with trunk at 8c50ebcfaf6d; trunk has moved since. check-in: 641b094f52 user: dmestas tags: trunk | |
|
2026-11-08
| ||
| 23:40 | land zit-0.14.0 check-in: f68198f2d5 user: dmestas tags: trunk | |
| 23:31 | Runner: retry a finished task's report through a forge restart closed check-in: 6c8e5d37e1 user: dmestas tags: runner-finish-retry | |
| 23:20 | update zit-0.14.0 from trunk closed check-in: 8c50ebcfaf user: dmestas tags: zit-0.14.0 | |
| 23:20 | land signoff-email-link check-in: d236276623 user: dmestas tags: trunk | |
| 23:15 | Pin zit 0.14.0 check-in: 37a5edbe97 user: dmestas tags: zit-0.14.0 | |
| 22:53 | Sign-off email: link the request page, say what is asked, no empty repository closed check-in: 4695a2b85a user: dmestas tags: signoff-email-link | |
| 22:47 | land ask-5-secrets check-in: c414f15401 user: dmestas tags: trunk | |
| 22:47 | land ask-4-switch check-in: e86fcc6bdc user: dmestas tags: trunk | |
| 22:47 | land ask-3-page check-in: 9f178f7276 user: dmestas tags: trunk | |
| 22:47 | land ask-2-router check-in: 6c850e75ad user: dmestas tags: trunk | |
| 22:47 | land ask-1-requests check-in: 51b6ae0238 user: dmestas tags: trunk | |
| 22:25 | RFC 0027 step 5: minted tokens and invite links are secret in a sign-off answer closed check-in: 1257cf15dd user: dmestas tags: ask-5-secrets | |
| 22:22 | RFC 0027 step 4: a person can stop one of their agents asking closed check-in: a2166c8f76 user: dmestas tags: ask-4-switch | |
| 22:18 | RFC 0027 step 3: a sign-off has a page of its own, and the email links to it closed check-in: d1685d0beb user: dmestas tags: ask-3-page | |
| 22:13 | RFC 0027 step 2: an agent refused what its person may do asks with Quarry-Ask closed check-in: 2993d8298b user: dmestas tags: ask-2-router | |
| 22:06 | RFC 0027 step 1: sign-offs keep their answer, a secret once, a week to wait, twenty pending closed check-in: 3cd7d39e9d user: dmestas tags: ask-1-requests | |
| 22:00 | land rfc-0027-ask check-in: 9ac707fe2f user: dmestas tags: trunk | |
| 21:39 | RFC 0027: an agent asks its person for what it may not do closed check-in: b69494aa55 user: dmestas tags: rfc-0027-ask | |
| 21:02 | land chat-caret-everywhere check-in: 9a58e14951 user: dmestas tags: trunk | |
| 20:51 | Draw ^N as a chat message on every surface, titles included closed check-in: 5780884075 user: dmestas tags: chat-caret-everywhere | |
| 20:28 | land jva-4016 check-in: bef5d586ec user: dmestas tags: trunk | |
| 20:09 | Fix jva ^4016: true size past the file.get bound, uncounted check-ins sized by files, stack-armed rung cancel, rung conflict wording closed check-in: 8e4f3aa298 user: dmestas tags: jva-4016 | |
| 16:49 | land annotate-tip check-in: 163f11f259 user: dmestas tags: trunk | |
| 16:43 | Annotate resolves a branch name to its tip, so its pages share one kept annotation closed check-in: 456ca1f096 user: dmestas tags: annotate-tip | |
| 16:38 | land history-cursor-length check-in: 6d03f32d24 user: dmestas tags: trunk | |
| 16:33 | file.history takes zit's long cursor back; annotations are kept per check-in closed check-in: ff4651ff11 user: dmestas tags: history-cursor-length | |
| 15:12 | land zit-0.13.0 check-in: e800986fca user: dmestas tags: trunk | |
| 15:03 | Pin zit 0.13.0; file history pages by its cursor; annotate pages with a version limit closed check-in: 87f5f0e2dc user: dmestas tags: zit-0.13.0 | |
| 14:32 | land traffic-warm check-in: 322d51c310 user: dmestas tags: trunk | |
| 14:02 | Warm every traffic range at startup and every four minutes closed check-in: f02c77c99d user: dmestas tags: traffic-warm | |
| 13:41 | land traffic-answered-downloads check-in: ce49350a27 user: dmestas tags: trunk | |
| 13:41 | land traffic-memo check-in: d42a137eac user: dmestas tags: trunk | |
| 13:27 | Traffic counts only answered requests as downloads closed check-in: 5039bb12f1 user: dmestas tags: traffic-answered-downloads | |
| 13:27 | update traffic-memo from trunk closed check-in: a81233d4d1 user: dmestas tags: traffic-memo | |
| 13:27 | land armed-stack-button check-in: 2a04894f3f user: dmestas tags: trunk | |
| 13:03 | Traffic pages are memoised per range and filters and refreshed behind the reader check-in: 57f406e56b user: dmestas tags: traffic-memo | |
| 13:01 | An armed stack does not offer Land stack again closed check-in: 73fcec9455 user: dmestas tags: armed-stack-button | |
| 12:57 | land traffic-window-once check-in: 8d168adf88 user: dmestas tags: trunk | |
| 12:57 | land traffic-appender check-in: 05e9c4c569 user: dmestas tags: trunk | |
| 12:53 | Traffic builds each window once into a temp table every panel reads closed check-in: 9150567e35 user: dmestas tags: traffic-window-once | |
| 12:52 | Traffic loads its classification table through the DuckDB appender closed check-in: 1ef42e7255 user: dmestas tags: traffic-appender | |
| 12:46 | land traffic-batch-classify check-in: cc22ec27a2 user: dmestas tags: trunk | |
| 12:39 | Traffic classifies its facts in batches of 500, not one INSERT each closed check-in: 4c920eada9 user: dmestas tags: traffic-batch-classify | |
| 00:17 | land raw-diff-file-bounds check-in: 06b7146752 user: dmestas tags: trunk | |
| 00:13 | Raw diffs are bounded like unified ones; /patch takes from=; file.get reads at most 16 MiB closed check-in: 090dbaf5a8 user: dmestas tags: raw-diff-file-bounds | |
|
2026-11-07
| ||
| 23:42 | land stream-patch-memory check-in: 58d0f45283 user: dmestas tags: trunk | |
| 22:55 | Patches stream from zit; whole unified diffs past the page bounds are refused; sync and page children get separate memory groups; any memory kill reads as a 503 closed check-in: 630a0f9f7c user: dmestas tags: stream-patch-memory | |
| 21:45 | land history-cursor check-in: 96abc362f6 user: dmestas tags: trunk | |
| 21:40 | docs: regenerate api.md for the file.history cursor closed check-in: cc1448d8d5 user: dmestas tags: history-cursor | |
| 21:38 | file.history pages by tip and position, not by the next row's ancestry check-in: cf0cd8ca9e user: dmestas tags: history-cursor | |
| 21:20 | land zit-0.12.1 check-in: 18e8a0cb2f user: dmestas tags: trunk | |
| 21:12 | Pin zit 0.12.1 closed check-in: 449b3e79ac user: dmestas tags: zit-0.12.1 | |
| 20:34 | land child-memory-group check-in: 4d6e3604fc user: dmestas tags: trunk | |
| 20:34 | land jva-followups-3898 check-in: 15bd098491 user: dmestas tags: trunk | |
| 20:30 | zit children run in a memory group of their own; a memory kill reads as a 503 closed check-in: e5f2511b2f user: dmestas tags: child-memory-group | |
| 19:13 | Anonymous owner paths meet the read gate before auth; stats bar counts standing tags; merge skips same-tip aliases; forum replies plain closed check-in: 39603cd536 user: dmestas tags: jva-followups-3898 | |
| 18:31 | land deploy-origin-warm check-in: bc844881e0 user: dmestas tags: trunk | |
| 18:31 | land facets-and-fossil-render check-in: ce3d0f5366 user: dmestas tags: trunk | |
| 18:31 | land branch-tip-speed check-in: 565a5cf9d5 user: dmestas tags: trunk | |
| 18:21 | deploy: warm each public repository's busiest pages at the origin after a restart closed check-in: df92f65fa0 user: dmestas tags: deploy-origin-warm | |
| 18:06 | Ticket facets follow the filter; stored fossil chat lines render tidied closed check-in: 150781562a user: dmestas tags: facets-and-fossil-render | |
| 18:03 | Branch list counts behind from the tips it holds; branchTip walks tag rows for an old branch closed check-in: 07ed25ace5 user: dmestas tags: branch-tip-speed | |
| 17:44 |
land fossil-format-tags
Checks tested the merge with trunk at 87b45bbff686; trunk has moved since. check-in: 2c51e03968 user: dmestas tags: trunk | |
| 17:33 | land zit-0.12.0 check-in: 9cb1566107 user: dmestas tags: trunk | |
| 17:33 | land jva-followups-3856 check-in: ce7d6922de user: dmestas tags: trunk | |
| 17:33 | land api-existence-leaks check-in: 564316c28c user: dmestas tags: trunk | |
| 17:32 | Bridged fossil formatting tags (system-watchdog h1) keep their words, in the channel and in digests closed check-in: 9f325b5921 user: dmestas tags: fossil-format-tags | |
| 17:21 | Pin zit 0.12.0 closed check-in: 87b45bbff6 user: dmestas tags: zit-0.12.0 | |
| 17:20 | gofmt index.go closed check-in: 3d13459202 user: dmestas tags: jva-followups-3856 | |
| 17:20 | Mentions quote links as words; cancelled and propagating tags leave the tag list; merge onto the default branch check-in: 5213716dcb user: dmestas tags: jva-followups-3856 | |
| 16:57 | API: unknown and unreadable repositories stop before parameters, owner paths refuse like wrong pairs, version names only readable starters closed check-in: c8853a8f96 user: dmestas tags: api-existence-leaks | |
| 16:41 | land jva-followups-3801 check-in: 127b82fc1d user: dmestas tags: trunk | |
| 16:28 | Follow-ups from jva: merge sentence by the verdict, at-links together, canonical history and ticket links, board empty filter, branch tips by the index closed check-in: 3d0a7c503e user: dmestas tags: jva-followups-3801 | |
| 16:20 | land chat-anchor-render check-in: 5712440d6a user: dmestas tags: trunk | |
| 16:20 | land existence-leaks check-in: 57e17e7dd2 user: dmestas tags: trunk | |
| 15:52 | Bridged fossil anchors become markdown links at the upstream; chat digests quote links as their words closed check-in: c7b804a609 user: dmestas tags: chat-anchor-render | |
| 15:46 | A private repository a viewer cannot see answers like a name that is no repository, on pages, fragments, the API and explain closed check-in: d88e379b26 user: dmestas tags: existence-leaks | |
| 14:59 | land merge-page-unresolved check-in: 142e6988ee user: dmestas tags: trunk | |
| 14:54 | Merge and diff pages: thousands separators on big counts; phone pickers line up closed check-in: e230cbfa62 user: dmestas tags: merge-page-unresolved | |
| 14:49 | Merge page: a pair that does not resolve shows the pickers and why, not a 404 check-in: f802a09212 user: dmestas tags: merge-page-unresolved | |
| 14:44 | land ticket-empty-filter check-in: 4b397d9b33 user: dmestas tags: trunk | |
| 14:44 | land big-diff-pages check-in: 2e972d23a6 user: dmestas tags: trunk | |
| 14:44 | land merge-page-fixes check-in: 549b6d6f35 user: dmestas tags: trunk | |
| 14:44 | land cache-and-visibility check-in: 6420e3391d user: dmestas tags: trunk | |
| 14:28 | An empty filtered ticket list names its filter and offers to clear it closed check-in: a949e53f98 user: dmestas tags: ticket-empty-filter | |
| 14:26 | Diff pages: page huge file lists, nofollow on views and filters, file links at the canonical address closed check-in: d604b4e62d user: dmestas tags: big-diff-pages | |
| 14:23 | Merge page: list huge conflicts, name every unresolvable file, verdict and mirror note first, pickers for no pair closed check-in: d0f05b3631 user: dmestas tags: merge-page-fixes | |
| 14:19 | Private repos without category rows grant nothing; check-in pages and private og cards leave the shared cache closed check-in: 14ec6f9491 user: dmestas tags: cache-and-visibility | |
| 11:34 | land zit-0.11.0 check-in: 51f18ad9ed user: dmestas tags: trunk | |
| 11:34 | land zit-info-cache check-in: 8531e3cda9 user: dmestas tags: trunk | |
| 03:46 | pin zit 0.11.0 and read a pull's exit 9 as a pull that brought a fork closed check-in: b8f06950aa user: dmestas tags: zit-0.11.0 | |
| 00:57 | remember zit info answers until the store file changes closed check-in: 72bc43e3e5 user: dmestas tags: zit-info-cache | |